Bug 519103 - nautilus extension in wrong dir
nautilus extension in wrong dir
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: postr (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2009-08-25 03:24 EDT by Götz Waschk
Modified: 2009-09-25 16:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.12.3-8.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-25 16:07:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 593153 None None None Never

  None (edit)
Description Götz Waschk 2009-08-25 03:24:33 EDT
postr installs a nautilus extension in /usr/lib/nautilus/extensions-2.0/python. This directory is not searched on x86_64, it must be /usr/lib64/nautilus/extension-2.0/python then.
Comment 1 Tim Lauridsen 2009-08-25 06:33:24 EDT
I have fixed it ib the .spec files, new build will arrive shortly
Comment 2 Götz Waschk 2009-08-25 06:38:28 EDT
You must also remove Buildarch: noarch for it to work.
Comment 3 Tim Lauridsen 2009-08-25 09:59:43 EDT
This took a little patching to get it to work, but i think i got it working

Please test this build
http://koji.fedoraproject.org/koji/taskinfo?taskID=1632440
Comment 4 Götz Waschk 2009-08-26 03:59:11 EDT
Looks good.
Comment 5 Tim Lauridsen 2009-08-26 09:16:28 EDT
Thanks, i will build for F11 og F10
Comment 6 Fedora Update System 2009-08-26 09:21:50 EDT
postr-0.12.3-7.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/postr-0.12.3-7.fc10
Comment 7 Fedora Update System 2009-08-26 09:21:55 EDT
postr-0.12.3-7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/postr-0.12.3-7.fc11
Comment 8 Ville Skyttä 2009-08-27 05:23:37 EDT
This change has caused an empty debuginfo package to appear; if there's nothing to create -debuginfo from, it should be disabled with %global debug_package %{nil}, see bug 496968 for more info.
Comment 9 Tim Lauridsen 2009-08-27 07:50:00 EDT
(In reply to comment #8)
> This change has caused an empty debuginfo package to appear; if there's nothing
> to create -debuginfo from, it should be disabled with %global debug_package
> %{nil}, see bug 496968 for more info.  

I have added '%global debug_package %{nil}' to the spec and made a new
build
http://koji.fedoraproject.org/koji/taskinfo?taskID=1637697

It it ok for you point of view ?
Comment 10 Fedora Update System 2009-08-28 17:55:26 EDT
postr-0.12.3-8.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update postr'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9083
Comment 11 Fedora Update System 2009-08-28 18:01:29 EDT
postr-0.12.3-8.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update postr'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-9109
Comment 12 Fedora Update System 2009-09-25 16:07:42 EDT
postr-0.12.3-8.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-09-25 16:10:49 EDT
postr-0.12.3-8.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.